import request from '@/utils/request'

// 查询巡查记录列表
export function listPatrolRecord(query) {
  return request({
    url: '/gas/patrolRecord/list',
    method: 'get',
    params: query
  })
}

// 查询巡查记录详细
export function getPatrolRecord(id) {
  return request({
    url: '/gas/patrolRecord/' + id,
    method: 'get'
  })
}

// 新增巡查记录
export function addPatrolRecord(data) {
  return request({
    url: '/gas/patrolRecord',
    method: 'post',
    data: data
  })
}

// 修改巡查记录
export function updatePatrolRecord(data) {
  return request({
    url: '/gas/patrolRecord',
    method: 'put',
    data: data
  })
}

// 删除巡查记录
export function delPatrolRecord(id) {
  return request({
    url: '/gas/patrolRecord/' + id,
    method: 'delete'
  })
}
